# $Revision: 1.18 $, $Date: 2004/09/19 22:09:06 $
Summary:	Ada language support
Summary(pl):	Obsuga jzyka Ada
Name:		xemacs-ada-pkg
%define 	srcname	ada
Version:	1.14
Release:	2
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	ftp://ftp.xemacs.org/packages/%{srcname}-%{version}-pkg.tar.gz
# Source0-md5:	f2635d2b432f2a7cd456df760d622e3c
URL:		http://www.xemacs.org/
BuildArch:	noarch
Conflicts:	xemacs-sumo
Requires:	xemacs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ada language support.

%description -l pl
Obsuga jzyka Ada.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

cp -a * $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

# remove .el file if corresponding .elc file exists
find $RPM_BUILD_ROOT -type f -name "*.el" | while read i; do test ! -f ${i}c || rm -f $i; done

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc lisp/ada/ChangeLog
%dir %{_datadir}/xemacs-packages/lisp/*
%{_datadir}/xemacs-packages/lisp/*/*.el*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xemacs-ada-pkg.spec,v $
Revision 1.18  2004/09/19 22:09:06  havner
- [mass commit] rel up for amd64 rebuild

Revision 1.17  2003/11/26 12:29:30  speedy
updated to  1.14

Revision 1.16  2003/09/09 10:24:58  ankry
- spaces -> tab

Revision 1.15  2003/05/28 13:03:04  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 06:28:10  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2002/11/21 15:49:18  mis
- autoupdated to 1.11

Revision 1.12  2002/06/30 21:47:31  marcus
- use new %%doc
- rel.3.

Revision 1.11  2002/04/14 12:26:56  klakier
- massive change: pack .el file id compiled .elc file does not exist
- not tested for all affected packages, you may blame me if something fails

Revision 1.10  2002/02/23 05:11:00  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:30:03  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:15:31  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/12/20 14:02:48  qboosh
- adapterized, added descriptions from summaries, release 2

Revision 1.6  2001/02/12 11:20:10  mis
- updated to 1.10

Revision 1.5  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:15  baggins
- translated kloczkish into english

Revision 1.3  2000/03/28 01:42:31  kloczek
- cleanups and reorganizations.

Revision 1.2  2000/03/27 16:25:45  klakier
- added info patches

Revision 1.1  2000/02/07 22:27:20  klakier
Just another package

Revision 1.1  1999/12/08 17:35:44  klakier
Scripts to produce xemacs-<package>-pkg.spec
I decided to separate xemacs and its packages for some reasons
